Bug 816927 - Review Request: fest-reflect - FEST Reflection
Review Request: fest-reflect - FEST Reflection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jon VanAlten
Fedora Extras Quality Assurance
:
Depends On: 816264 816926
Blocks: 816962 816967
  Show dependency treegraph
 
Reported: 2012-04-27 06:24 EDT by Mario Torre
Modified: 2015-07-13 00:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 17:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jon.vanalten: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 3 Guido Grazioli 2012-05-03 08:51:07 EDT
Have you been sponsored?

Couple of things:
- you have LICENSE.txt both in main and -javadoc pkg
- Requires: fest-test 
Is it really needed? It appears in the pomfile just with scope=test
Comment 4 Mario Torre 2012-05-03 09:19:50 EDT
Hello Guido,

Thanks for reviewing!

I'm sponsored, although I'm still getting around all the process...

Thanks for noticing the built time require and the duplication, I've fixed and uploaded new spec and src rpm files here:

http://neugens.fedorapeople.org/fest-reflect/fest-reflect.spec
http://neugens.fedorapeople.org/fest-reflect/fest-reflect-1.3-4.fc16.src.rpm
Comment 5 Omair Majid 2012-05-03 12:28:03 EDT
(In reply to comment #3)
> - you have LICENSE.txt both in main and -javadoc pkg

This is required by the fedora packaging guidelines: 
if a subpackage is independent of any base package (it does not require it,
either implicitly or explicitly), it must include copies of any license texts
(as present in the source) which are applicable to the files contained within
the subpackage

http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing
Comment 8 Omair Majid 2012-05-04 10:05:49 EDT
Assigning this back to Jon, who has started the official review.
Comment 9 Jon VanAlten 2012-05-04 12:35:44 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

fest-reflect.spec: W: invalid-url Source0: fest-reflect-1.3.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Upstream does not publish tarballs. Instructions to reproduce tarball
from upstream repo are in comments in specfile.  So this warning can
be ignored.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[!]  Package successfully compiles and builds into binary rpms.

The dependency mockito is not (yet) in fedora.

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license. License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 58a1af58aa2f4625ba8426bd8cc2bcc0
MD5SUM upstream package: 58a1af58aa2f4625ba8426bd8cc2bcc0

(using specfile comment instructions to make upstream tarball from checkout)

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary

There are exact BuildRequires on fest-* packages.  Not a blocker, but if feasable please change this.

[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[!]  Reviewer should test that the package builds in mock.

Can not build in mock due to missing dependency mockito


=== Issues ===
1. Please clarify in comment for patch that the change is to the dependency version the build looks for (initially, my reaction was horror that it was changing how upstream numbered the version, until I examined the patch).
2. The dependency mockito is not included in fedora yet
3. Please make sure the package builds in mock.

[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 10 Jon VanAlten 2012-05-04 12:42:50 EDT
Sorry, the above is slightly inaccurate.  mockito is on its way in to fedora, when I ran scratch build it was not yet found for f17.

In rawhide, build failed for completely different reason:

http://koji.fedoraproject.org/koji/getfile?taskID=4053340&name=build.log

Please ensure that this is fixed (or at least reported upstream, if this is a sporadic test failure).
Comment 11 Jon VanAlten 2012-05-04 13:11:03 EDT
And, another f18 scratch build passes!  So, it certainly seems spurious.
Comment 13 Jon VanAlten 2012-05-04 14:11:29 EDT
Looks fine to me, but please try to push this fix upstream, so that others can benefit from it :)
Comment 14 Jon VanAlten 2012-05-04 14:16:27 EDT
================
*** APPROVED ***
================
Comment 15 Mario Torre 2012-05-04 14:18:06 EDT
New Package SCM Request
=======================
Package Name: fest-reflect
Short Description: FEST Reflection
Owners: neugens omajid rkennke jvanalte
Branches: f17
InitialCC: java-sig
Comment 16 Jon Ciesla 2012-05-04 14:27:30 EDT
Git done (by process-git-requests).
Comment 17 Michel Alexandre Salim 2012-06-08 10:34:25 EDT
(In reply to comment #15)

Hi Mario,

I noticed that the build on F17 failed due to fest-test not being available to the Koji builder yet -- I've just created a buildroot override for it so I can start a rebuild of fest-reflect -- needed for building some dependencies for the Clojure stack.

Thanks for doing all the packaging -- I was worried I'd have to do the entire stack myself, it's a pleasant feeling to discover someone else is in the process of doing it.
Comment 18 Mario Torre 2012-06-08 10:59:52 EDT
Hi Michel!

good to have another pair of eyes on that :)

This is because test-test and fest-assert are still in testing:

https://admin.fedoraproject.org/updates/FEDORA-2012-8770/fest-test-1.2.1-3.fc17
https://admin.fedoraproject.org/updates/FEDORA-2012-8758/fest-assert-1.4-6.fc17

Perhaps you can try them and bump up the karma?
Comment 19 Michel Alexandre Salim 2012-06-08 12:02:57 EDT
Hi Mario,

Certainly -- I'll up-karma them as soon as I can get my fest-dependent package to build.

Now that I've pushed fest-test to the buildroot override, one can actually build fest-reflect using Koji *without* waiting for fest-test to become a stable update (a time saver if you have a long dependency chain). Here's the build -- feel free to issue the update and I'll up-karma them all as a set later.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4141968
Comment 20 Fedora Update System 2012-07-09 07:30:46 EDT
fest-reflect-1.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fest-reflect-1.3-7.fc17
Comment 21 Fedora Update System 2012-07-10 12:31:32 EDT
fest-reflect-1.3-7.fc17 has been pushed to the Fedora 17 testing repository.
Comment 22 Fedora Update System 2012-08-05 17:20:52 EDT
fest-reflect-1.3-7.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.